package com.utopiaindustries.hseobservationsapp.utils.StorageManager;

import java.util.ArrayList;
import java.util.List;

public class HseReportRequest<T> {

    private String observation_date;
    private int userId;
    private int siteId;
    private int supervisorId;
    private String supervisorName;
    private String shift;
    private int recordTypeId;
    private int departmentId;
    private int buildingId;
    private int floorId;
    private String createdBy;
    private String appVersion;

    private List<T> hseReportRecord;

    public String getObservation_date() {
        return observation_date;
    }

    public void setObservation_date(String observation_date) {
        this.observation_date = observation_date;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getSiteId() {
        return siteId;
    }

    public void setSiteId(int siteId) {
        this.siteId = siteId;
    }

    public int getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(int supervisorId) {
        this.supervisorId = supervisorId;
    }

    public String getSupervisorName() {
        return supervisorName;
    }

    public void setSupervisorName(String supervisorName) {
        this.supervisorName = supervisorName;
    }

    public String getShift() {
        return shift;
    }

    public void setShift(String shift) {
        this.shift = shift;
    }

    public int getRecordTypeId() {
        return recordTypeId;
    }

    public void setRecordTypeId(int recordTypeId) {
        this.recordTypeId = recordTypeId;
    }

    public List<T> getReportData() {
        return hseReportRecord;
    }

    public void setReportData(List<T> reportData) {
        this.hseReportRecord = reportData;
    }

    public HseReportRequest() {
        this.hseReportRecord = new ArrayList<>();
    }

    public int getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(int departmentId) {
        this.departmentId = departmentId;
    }

    public int getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(int buildingId) {
        this.buildingId = buildingId;
    }

    public int getFloorId() {
        return floorId;
    }

    public void setFloorId(int floorId) {
        this.floorId = floorId;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getAppVersion() {
        return appVersion;
    }

    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion;
    }

    public HseReportRequest(String observation_date, int userId, int site_id, int supervisorId, String supervisorName, String shift, int recordTypeId, int departmentId, int buildingId, int floorId, String createdBy, String appVersion, List<T> reportData) {
        this.observation_date = observation_date;
        this.userId = userId;
        this.siteId = site_id;
        this.supervisorId = supervisorId;
        this.supervisorName = supervisorName;
        this.shift = shift;
        this.recordTypeId = recordTypeId;
        this.departmentId = departmentId;
        this.buildingId = buildingId;
        this.floorId = floorId;
        this.createdBy = createdBy;
        this.appVersion = appVersion;
        this.hseReportRecord = reportData;
    }
}