package com.utopiaindustries.hseobservationsapp.utils;

import com.utopiaindustries.hseobservationsapp.utils.StorageManager.ObservationModel;
import com.utopiaindustries.hseobservationsapp.utils.StorageManager.StorageManager;

import java.util.List;

public class HSERequestModel {

    private long id;
    private long site_id;
    private String code;
    private long supervisorId;
    private String observation_date;
    private String shift;
    private String createdBy;
    private String createdAt;
    private long recordTypeId;
    private List<ObservationModel> observationModel;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getSite_id() {
        return site_id;
    }

    public void setSite_id(long site_id) {
        this.site_id = site_id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public long getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(long supervisorId) {
        this.supervisorId = supervisorId;
    }

    public String getObservation_date() {
        return observation_date;
    }

    public void setObservation_date(String observation_date) {
        this.observation_date = observation_date;
    }

    public String getShift() {
        return shift;
    }

    public void setShift(String shift) {
        this.shift = shift;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public long getRecordTypeId() {
        return recordTypeId;
    }

    public void setRecordTypeId(long recordTypeId) {
        this.recordTypeId = recordTypeId;
    }

    public List<ObservationModel> getObservationModel() {
        return observationModel;
    }

    public void setObservationModel(List<ObservationModel> observationModel) {
        this.observationModel = observationModel;
    }

    @Override
    public String toString() {
        return "HSERequestModel{" +
                "id=" + id +
                ", site_id=" + site_id +
                ", code='" + code + '\'' +
                ", supervisorId=" + supervisorId +
                ", observation_date='" + observation_date + '\'' +
                ", shift='" + shift + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdAt='" + createdAt + '\'' +
                ", recordTypeId=" + recordTypeId +
                ", observationModel=" + observationModel +
                '}';
    }
}
