package com.utopiaindustries.hseobservationsapp.utils.StorageManager;

import java.util.List;

public class ObservationModel {

    private int observationClassId;
    private String hseObservationName;

    private int observationSubClassId;
    private String hseObservationSubClassName;

    private List<byte[]> beforePictures;
    private List<byte[]> afterPictures;

    private String riskLevel;
    private boolean observationStatus;
    private String description;

    public int getObservationClassId() {
        return observationClassId;
    }

    public void setObservationClassId(int observationClassId) {
        this.observationClassId = observationClassId;
    }

    public String getHseObservationName() {
        return hseObservationName;
    }

    public void setHseObservationName(String hseObservationName) {
        this.hseObservationName = hseObservationName;
    }

    public int getObservationSubClassId() {
        return observationSubClassId;
    }

    public void setObservationSubClassId(int observationSubClassId) {
        this.observationSubClassId = observationSubClassId;
    }

    public String getHseObservationSubClassName() {
        return hseObservationSubClassName;
    }

    public void setHseObservationSubClassName(String hseObservationSubClassName) {
        this.hseObservationSubClassName = hseObservationSubClassName;
    }

    public List<byte[]> getBeforePictures() {
        return beforePictures;
    }

    public void setBeforePictures(List<byte[]> beforePictures) {
        this.beforePictures = beforePictures;
    }

    public List<byte[]> getAfterPictures() {
        return afterPictures;
    }

    public void setAfterPictures(List<byte[]> afterPictures) {
        this.afterPictures = afterPictures;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public boolean isObservationStatus() {
        return observationStatus;
    }

    public void setObservationStatus(boolean observationStatus) {
        this.observationStatus = observationStatus;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "ObservationModel{" +
                "observationClassId=" + observationClassId +
                ", hseObservationName='" + hseObservationName + '\'' +
                ", observationSubClassId=" + observationSubClassId +
                ", hseObservationSubClassName='" + hseObservationSubClassName + '\'' +
                ", beforePictures=" + beforePictures.size() +
                ", afterPictures=" + afterPictures.size() +
                ", riskLevel='" + riskLevel + '\'' +
                ", observationStatus=" + observationStatus +
                ", description='" + description + '\'' +
                '}';
    }
}
